Get catalog bootstrap (store + products)
curl --request GET \
--url https://api.quickshops.app/v1/catalog \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quickshops.app/v1/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.quickshops.app/v1/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quickshops.app/v1/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"store": {
"_id": "<string>",
"slug": "<string>",
"name": "<string>",
"isPublished": true,
"currency": "<string>",
"contactEmail": "<string>",
"contactPhone": "<string>",
"seoTitle": "<string>",
"seoDescription": "<string>",
"theme": {
"primary": "<string>",
"primaryForeground": "<string>",
"background": "<string>",
"foreground": "<string>",
"muted": "<string>",
"border": "<string>",
"fontBody": "<string>",
"fontHeading": "<string>",
"radius": "<string>"
},
"paymentsConfigured": true,
"description": "<string>",
"logoUrl": "<string>",
"templateKey": "<string>",
"templateTexts": {}
},
"products": [
{
"_id": "<string>",
"storeId": "<string>",
"name": "<string>",
"description": "<string>",
"priceInCents": 123,
"currency": "<string>",
"type": "digital",
"billingInterval": "month",
"imageUrl": "<string>",
"isActive": true,
"category": "<string>",
"details": [
"<string>"
]
}
]
}
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}Get catalog
Store branding and products in one response — preferred for home pages.
GET
/
v1
/
catalog
Get catalog bootstrap (store + products)
curl --request GET \
--url https://api.quickshops.app/v1/catalog \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quickshops.app/v1/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.quickshops.app/v1/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quickshops.app/v1/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"store": {
"_id": "<string>",
"slug": "<string>",
"name": "<string>",
"isPublished": true,
"currency": "<string>",
"contactEmail": "<string>",
"contactPhone": "<string>",
"seoTitle": "<string>",
"seoDescription": "<string>",
"theme": {
"primary": "<string>",
"primaryForeground": "<string>",
"background": "<string>",
"foreground": "<string>",
"muted": "<string>",
"border": "<string>",
"fontBody": "<string>",
"fontHeading": "<string>",
"radius": "<string>"
},
"paymentsConfigured": true,
"description": "<string>",
"logoUrl": "<string>",
"templateKey": "<string>",
"templateTexts": {}
},
"products": [
{
"_id": "<string>",
"storeId": "<string>",
"name": "<string>",
"description": "<string>",
"priceInCents": 123,
"currency": "<string>",
"type": "digital",
"billingInterval": "month",
"imageUrl": "<string>",
"isActive": true,
"category": "<string>",
"details": [
"<string>"
]
}
]
}
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}Was this page helpful?
⌘I